aws-0.16: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.DeleteObject

Synopsis

- data DeleteObject = DeleteObject {
  - doObjectName :: Text
  - doBucket :: Bucket
  }
- data DeleteObjectResponse = DeleteObjectResponse {
  }

# Documentation

data DeleteObject #

Constructors

DeleteObject |
Fields doObjectName :: Text doBucket :: Bucket

Instances

SignQuery DeleteObject # | ServiceConfiguration: `S3Configuration`
Associated Types type ServiceConfiguration DeleteObject :: * -> * # Methods signQuery :: DeleteObject -> ServiceConfiguration DeleteObject queryType -> SignatureData -> SignedQuery #
Transaction DeleteObject DeleteObjectResponse # |
ResponseConsumer DeleteObject DeleteObjectResponse # |
Associated Types type ResponseMetadata DeleteObjectResponse :: * # Methods responseConsumer :: Request -> DeleteObject -> IORef (ResponseMetadata DeleteObjectResponse) -> HTTPResponseConsumer DeleteObjectResponse #
type ServiceConfiguration DeleteObject # |
type ServiceConfiguration DeleteObject = S3Configuration

data DeleteObjectResponse #

Constructors

DeleteObjectResponse |

Instances

AsMemoryResponse DeleteObjectResponse # |
Associated Types type MemoryResponse DeleteObjectResponse :: * # Methods loadToMemory :: DeleteObjectResponse -> ResourceT IO (MemoryResponse DeleteObjectResponse) #
Transaction DeleteObject DeleteObjectResponse # |
ResponseConsumer DeleteObject DeleteObjectResponse # |
Associated Types type ResponseMetadata DeleteObjectResponse :: * # Methods responseConsumer :: Request -> DeleteObject -> IORef (ResponseMetadata DeleteObjectResponse) -> HTTPResponseConsumer DeleteObjectResponse #
type MemoryResponse DeleteObjectResponse # |
type MemoryResponse DeleteObjectResponse = DeleteObjectResponse
type ResponseMetadata DeleteObjectResponse # |
type ResponseMetadata DeleteObjectResponse = S3Metadata